Skip to content

getSalesInvoiceLines

READ

Get sales invoice lines.

POST /api/v1/invoicing/getSalesInvoiceLines
curl -X POST '<your-host>/api/v1/invoicing/getSalesInvoiceLines' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "salesInvoiceId": "string"
  }'
Response
{
  "results": [
    {
      "accountId": "string",
      "addOnCost": 0,
      "assetId": "string",
      "assetName": "string",
      "assetReadableId": "string",
      "companyId": "string",
      "convertedAddOnCost": 0,
      "convertedNonTaxableAddOnCost": 0,
      "convertedSetupPrice": 0,
      "convertedShippingCost": 0,
      "convertedUnitPrice": 0,
      "createdAt": "string",
      "createdBy": "string",
      "customerPartId": "string",
      "customFields": "…",
      "description": "string",
      "exchangeRate": 0,
      "externalNotes": "…",
      "id": "string",
      "internalNotes": "…",
      "invoiceId": "string",
      "invoiceLineType": "Fixed Asset",
      "itemDescription": "string",
      "itemId": "string",
      "itemName": "string",
      "itemReadableId": "string",
      "locationId": "string",
      "methodType": "Purchase to Order",
      "nonTaxableAddOnCost": 0,
      "opportunityId": "string",
      "quantity": 0,
      "salesOrderId": "string",
      "salesOrderLineId": "string",
      "setupPrice": 0,
      "shippingCost": 0,
      "sortOrder": 0,
      "storageUnitId": "string",
      "taxPercent": 0,
      "thumbnailPath": "string",
      "unitCost": 0,
      "unitOfMeasureCode": "string",
      "unitPrice": 0,
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "salesInvoiceId": {
      "type": "string"
    }
  },
  "required": [
    "salesInvoiceId"
  ]
}